Bug 164287 - ksh no longer works properly for "echo -e" (prints the -e)
ksh no longer works properly for "echo -e" (prints the -e)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ksh (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 11:58 EDT by John Fishman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 09:59:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Fishman 2005-07-26 11:58:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
$ ksh
$ echo "-e foo\c"
-e foo\c

$ type echo
echo is a shell builtin

ksh man page sez:

       echo [ arg ... ]
              When the first arg does not begin with a -, and none of  the argu-
              ments contain a \, then echo prints each of its argumentsseparated
              by a space and terminated by a new-line.  Otherwise,  the behavior
              of  echo  is  system  dependent and print or printf describedbelow
              should be used.  See echo(1) for usage and description.




Version-Release number of selected component (if applicable):
ksh-20050202-1

How reproducible:
Always

Steps to Reproduce:
1. see Description above
2.
3.
  

Additional info:
Comment 1 Karsten Hopp 2005-09-07 09:59:06 EDT
Well, the first arg begins with a '-', therefore the behaviour of echo IS system
dependent. You'd better use either /bin/echo or the builtins print/printf.

Note You need to log in before you can comment on or make changes to this bug.